@import '../../../styles.sass'

.panel
	padding: 15px

	.turns
		position: absolute
		width: 100%
		height: 100%
		z-index: -1
		left: 0
		top: 0
		opacity: 0
		background: white
		padding: 150px
		&.turnAnimation
			z-index: 1
			opacity: 1
			animation: turns 3s normal forwards ease-in-out

		h2, h1
			margin-left: 100px
			text-align: center
			color: #17a2b8
			&.turnAnimation
				animation: playerTurn 2s normal forwards ease-in-out

	.start
		@include center-tag
		width: 100%
		margin: 100px auto
		overflow: hidden

		.cardsBackground
			position: absolute
			width: 100%
			height: 100%
			top: 0
			left: 0
			z-index: -1
			opacity: 0.3
			overflow: hidden

		h2
			font-size: 60px
			text-align: center
			color: #17a2b8

		form
			@include center-tag
			display: block

			.error
				color: red
			.hint
				color: #17a2b8

			section
				@include center-tag
				text-align: center

				.avatar
					@include avatar

				input
					@include center-tag
					width: 70%
					color: #17a2b8
					border-radius: 6px
					border: 2px solid #17a2b8

			button
				@include center-tag
				display: block
				font-size: 30px

	.again
		
		height: 100vh
		display: block
		position: relative

		.fruits
			position: absolute
			top: 0
			left: 0
			width: 100%
			height: 100%
			overflow: hidden

			img
				position: absolute
				display: block
				width: 40px
				height: 40px
				left: 40%
				animation: float 25s linear infinite
				bottom: -150px
				&:nth-child(2), &:nth-child(7)
					left: 50%
					width: 60px
					height: 60px
					animation-delay: 15s
					animation-duration: 45s
				&:nth-child(3n)
					left: 90%
					width: 60px
					height: 60px
					animation-delay: 15s
					animation-duration: 45s
				&:nth-child(8),&:nth-child(10)
					left: 85%
					width: 150px
					height: 150px
					animation-delay: 0s
					animation-duration: 11s
				&:nth-child(1)
					left: 20%
					width: 80px
					height: 80px
					animation-delay: 2s
					animation-duration: 13s
				&:nth-child(4)
					left: 35%
					width: 150px
					height: 150px
					animation-delay: 7s
				&:nth-child(6)
					left: 60%
					width: 110px
					height: 110px
					animation-delay: 9s
				&:nth-child(10)
					left: 75%
					width: 110px
					height: 110px
					animation-delay: 6s
					animation-delay: 20s

		.avatar
			@include avatar
			display: block

		h1, h2
			@include center-tag
			display: block
			text-align: center
			color: #17a2b8
		button
			@include center-tag
			display: block
			width: 30%
			height: 80px
			font-size: 40px
			&.rattle
				animation: rattle 6s infinite ease-in-out

@media screen and (max-width: 480px)
	.panel
		.start
			margin: 30px auto

			form
				width: 100%
				section
					width: 100%
					.avatar
						display: none
				button
					width: 70%

		.again
			.avatar
				width: 100px
				height: 100px
			button
				width: 80%

@media screen and (min-width: 481px) and (max-width: 900px)
	.panel
		.start
			margin: 30px auto
			br
				display: none
			form
				width: 100%
				section
					width: 50%
					.avatar
						width: 100px
						height: 100px
						display: block
				button
					width: 70%

		.again
			.avatar
				width: 100px
				height: 100px
			button
				width: 50%


@keyframes turns
	0%
		background-color: transparent

	50%
		background-color: rgba(255,255,255,0.8)		
  
	100%
		background-color: transparent

@keyframes playerTurn
	0%
		opacity: 0
		margin-left: 100px
  
	50%
		opacity: 1

	100%
		opacity: 0.5
		margin-left: 0px

@keyframes rattle
	0%
		transform: translate(1px, 1px) rotate(0deg)
	10%
		transform: translate(-1px, -2px) rotate(-1deg)
	20%
		transform: translate(-3px, 0px) rotate(1deg)
	30%
		transform: translate(3px, 2px) rotate(0deg)
	40%
		transform: translate(1px, -1px) rotate(1deg)
	50%
		transform: translate(-1px, 2px) rotate(-1deg)
	60%
		transform: translate(-3px, 1px) rotate(0deg)
	70%
		transform: translate(3px, 1px) rotate(-1deg)
	80%
		transform: translate(-1px, -1px) rotate(1deg)
	90%
		transform: translate(1px, 2px) rotate(0deg)
	100%
		transform: translate(1px, -2px) rotate(-1deg)

@keyframes float
	0%
		transform: translateY(0) rotate(0deg)
		opacity: 1
		border-radius: 0
	100%
		transform: translateY(-1000px) rotate(720deg)
		opacity: 0
		border-radius: 50%